### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-message/ecl-message.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-message`
templateUrl | `./ecl-message.component.html`

### Index

###### Properties
role
###### Methods
getIcon onCloseClick getCssClasses
###### Inputs
isCloseable isVisible messageTitle variant class e2eAttr
###### Outputs
close
###### HostBindings
attr.role class class.ecl-u-d-none
###### Accessors
isHidden cssClasses

### Inputs

isCloseable
Type : `boolean | any`
Default value : `true`

isVisible
Type : `boolean | any`
Default value : `true`

messageTitle
Type : `string`

variant
Type : `"info" | "success" | "warning" | "error"`
Default value : `'info'`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

close
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'alert'`

class
Type : `any`

class.ecl-u-d-none
Type : `boolean`

### Methods

getIcon
`getIcon()`
Returns : `"success" | "warning" | "error" | "information"`

onCloseClick
`onCloseClick(evt: Event)`
Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

role
Type : `string`
Default value : `'alert'`
Decorators : `@HostBinding('attr.role')`

### Accessors

isHidden
get `isHidden()`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""